import { IconBaseProps } from 'react-icons';

export const NerveIcon = ({
  style,
  width = 32,
  height = 32,
  className,
}: Pick<IconBaseProps, 'style' | 'width' | 'height' | 'className'>) => (
  <svg
    id="NerveLogo"
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 200 200"
    aria-label="[title]"
    aria-labelledby="title"
    role="img"
    width={width}
    height={height}
    className={className}
    style={{
      fill: '#000',
      width: 24,
      height: 24,
      ...style,
    }}
  >
    <title>Nerve Logo</title>
    <path d="M176.91,103.2c-5.47,0-10.05,3.77-11.36,8.84h-12.2c-.78,0-1.53.31-2.08.86l-15.59,15.59v-9.34l34.48-34.48c.55-.55.86-1.3.86-2.08v-35.77c5.07-1.32,8.84-5.89,8.84-11.36,0-6.5-5.28-11.78-11.78-11.78s-11.78,5.28-11.78,11.78c0,5.48,3.77,10.05,8.84,11.36v34.55l-34.48,34.48c-.55.55-.86,1.3-.86,2.08v53.02h5.83v-30.17h.06v-3.96l18.89-18.89h10.98c1.32,5.07,5.89,8.84,11.36,8.84,6.5,0,11.78-5.28,11.78-11.78s-5.28-11.78-11.78-11.78ZM162.18,35.45c0-3.25,2.64-5.89,5.89-5.89s5.89,2.64,5.89,5.89-2.64,5.89-5.89,5.89-5.89-2.64-5.89-5.89ZM176.91,120.87c-3.25,0-5.89-2.64-5.89-5.89s2.64-5.89,5.89-5.89,5.89,2.64,5.89,5.89-2.64,5.89-5.89,5.89Z" />
    <path d="M131.14,73.74v-18.09c5.07-1.32,8.84-5.89,8.84-11.36,0-6.5-5.28-11.78-11.78-11.78s-11.78,5.28-11.78,11.78c0,5.48,3.77,10.05,8.84,11.36v16.87l-16.81,16.81c-.55.55-.86,1.3-.86,2.08v79.53h5.89v-78.31l16.81-16.81c.55-.55.86-1.3.86-2.08ZM122.3,44.29c0-3.25,2.64-5.89,5.89-5.89s5.89,2.64,5.89,5.89-2.64,5.89-5.89,5.89-5.89-2.64-5.89-5.89Z" />
    <path d="M23.73,90.2v-43.38c5.07-1.32,8.84-5.89,8.84-11.36,0-6.5-5.28-11.78-11.78-11.78s-11.78,5.28-11.78,11.78c0,5.48,3.77,10.05,8.84,11.36v44.6c0,.78.31,1.53.86,2.08l15.59,15.59h-1.73c-.78,0-1.53.31-2.08.86l-3.75,3.75c-1.75-1.04-3.77-1.67-5.95-1.67-6.5,0-11.78,5.28-11.78,11.78s5.28,11.78,11.78,11.78,11.78-5.28,11.78-11.78c0-2.18-.63-4.19-1.67-5.95l2.89-2.89h6.4l18.89,18.89v37.07h5.89v-38.29c0-.78-.31-1.53-.86-2.08l-40.38-40.38ZM14.9,35.45c0-3.25,2.64-5.89,5.89-5.89s5.89,2.64,5.89,5.89-2.64,5.89-5.89,5.89-5.89-2.64-5.89-5.89ZM20.79,129.71c-3.25,0-5.89-2.64-5.89-5.89s2.64-5.89,5.89-5.89,5.89,2.64,5.89,5.89-2.64,5.89-5.89,5.89Z" />
    <g>
      <path d="M63.47,95.89l15.59-15.59c.55-.55.86-1.3.86-2.08v-21.04c5.07-1.32,8.84-5.89,8.84-11.36,0-6.5-5.28-11.78-11.78-11.78s-11.78,5.28-11.78,11.78c0,5.48,3.77,10.05,8.84,11.36v19.82l-14.73,14.73,4.17,4.17ZM71.08,45.81c0-3.25,2.64-5.89,5.89-5.89s5.89,2.64,5.89,5.89-2.64,5.89-5.89,5.89-5.89-2.64-5.89-5.89Z" />
      <path d="M54.94,87.25v-10.98c5.07-1.32,8.84-5.89,8.84-11.36,0-6.5-5.28-11.78-11.78-11.78s-11.78,5.28-11.78,11.78c0,5.48,3.77,10.05,8.84,11.36v12.2c0,.78.31,1.53.86,2.08l37.43,37.43v42.97h5.89v-44.18c0-.78-.31-1.53-.86-2.08l-37.43-37.43Z" />
    </g>
  </svg>
);
